*: fix spelling using github.com/client9/misspell

This commit is contained in:
Eric Chiang 2017-03-20 09:16:56 -07:00
parent 4bf74d8ac3
commit 33f0199077
7 changed files with 10 additions and 10 deletions

View File

@ -341,7 +341,7 @@ func (p *provider) HandlePOST(s connector.Scopes, samlResponse string) (ident co
if !ok { if !ok {
return ident, fmt.Errorf("no attribute with name %q", p.groupsAttr) return ident, fmt.Errorf("no attribute with name %q", p.groupsAttr)
} }
// TOOD(ericchiang): Do we need to further trim whitespace? // TODO(ericchiang): Do we need to further trim whitespace?
ident.Groups = strings.Split(groupsStr, p.groupsDelim) ident.Groups = strings.Split(groupsStr, p.groupsDelim)
} else { } else {
groups, ok := attributes.all(p.groupsAttr) groups, ok := attributes.all(p.groupsAttr)

View File

@ -40,7 +40,7 @@ web:
# Instead of reading from an external storage, use this list of clients. # Instead of reading from an external storage, use this list of clients.
# #
# If this option isn't choosen clients may be added through the gRPC API. # If this option isn't chosen clients may be added through the gRPC API.
staticClients: staticClients:
- id: example-app - id: example-app
redirectURIs: redirectURIs:
@ -68,7 +68,7 @@ enablePasswordDB: true
# A static list of passwords to login the end user. By identifying here, dex # A static list of passwords to login the end user. By identifying here, dex
# won't look in its underlying storage for passwords. # won't look in its underlying storage for passwords.
# #
# If this option isn't choosen users may be added through the gRPC API. # If this option isn't chosen users may be added through the gRPC API.
staticPasswords: staticPasswords:
- email: "admin@example.com" - email: "admin@example.com"
# bcrypt hash of the string "password" # bcrypt hash of the string "password"

View File

@ -5,7 +5,7 @@
# * Use glide and glide-vc. # * Use glide and glide-vc.
# * List transitive dependencies. # * List transitive dependencies.
# * Create a separate block for each dependency group. # * Create a separate block for each dependency group.
# * Keep updates to "vendor/" in a seperate commit from actual changes. # * Keep updates to "vendor/" in a separate commit from actual changes.
package: github.com/coreos/dex package: github.com/coreos/dex
import: import:

View File

@ -11,7 +11,7 @@ FULL_GOVERSION=$( echo -n "$VERSION" | grep -o 'go1\.[0-9|\.]*' || true )
# The list of unsupported major go versions. # The list of unsupported major go versions.
UNSUPPORTED=( "go1.0" "go1.1" "go1.2" "go1.3" "go1.4" "go1.5" "go1.6" ) UNSUPPORTED=( "go1.0" "go1.1" "go1.2" "go1.3" "go1.4" "go1.5" "go1.6" )
# Minor go verisons which have known security vulnerabilities. Refuse to build with these. # Minor go versions which have known security vulnerabilities. Refuse to build with these.
# #
# There aren't any security issues that impact dex in 1.7 but minor versions should be # There aren't any security issues that impact dex in 1.7 but minor versions should be
# added here later if they do have issues. # added here later if they do have issues.
@ -26,7 +26,7 @@ done
for V in "${KNOWN_INSECURE[@]}"; do for V in "${KNOWN_INSECURE[@]}"; do
if [ "$V" = "$FULL_GOVERSION" ]; then if [ "$V" = "$FULL_GOVERSION" ]; then
>&2 echo "Go version ${V} has known security vulnerabilities which impact dex. Please update your Go verison." >&2 echo "Go version ${V} has known security vulnerabilities which impact dex. Please update your Go version."
exit 2 exit 2
fi fi
done done

View File

@ -721,7 +721,7 @@ func (s *Server) handleAuthCode(w http.ResponseWriter, r *http.Request, client s
offlineSessions.Refresh[tokenRef.ClientID] = &tokenRef offlineSessions.Refresh[tokenRef.ClientID] = &tokenRef
// Create a new OfflineSession object for the user and add a reference object for // Create a new OfflineSession object for the user and add a reference object for
// the newly recieved refreshtoken. // the newly received refreshtoken.
if err := s.storage.CreateOfflineSessions(offlineSessions); err != nil { if err := s.storage.CreateOfflineSessions(offlineSessions); err != nil {
s.logger.Errorf("failed to create offline session: %v", err) s.logger.Errorf("failed to create offline session: %v", err)
s.tokenErrHelper(w, errServerError, "", http.StatusInternalServerError) s.tokenErrHelper(w, errServerError, "", http.StatusInternalServerError)
@ -962,6 +962,6 @@ func (s *Server) renderError(w http.ResponseWriter, status int, description stri
func (s *Server) tokenErrHelper(w http.ResponseWriter, typ string, description string, statusCode int) { func (s *Server) tokenErrHelper(w http.ResponseWriter, typ string, description string, statusCode int) {
if err := tokenErr(w, typ, description, statusCode); err != nil { if err := tokenErr(w, typ, description, statusCode); err != nil {
s.logger.Errorf("token error repsonse: %v", err) s.logger.Errorf("token error response: %v", err)
} }
} }

View File

@ -90,7 +90,7 @@ func TestKeyRotater(t *testing.T) {
got := verificationKeyIDs(t, r.Storage) got := verificationKeyIDs(t, r.Storage)
if !slicesEq(expVerificationKeys, got) { if !slicesEq(expVerificationKeys, got) {
t.Errorf("after %d rotation, expected varification keys %q, got %q", i+1, expVerificationKeys, got) t.Errorf("after %d rotation, expected verification keys %q, got %q", i+1, expVerificationKeys, got)
} }
expVerificationKeys = append(expVerificationKeys, signingKeyID(t, r.Storage)) expVerificationKeys = append(expVerificationKeys, signingKeyID(t, r.Storage))

View File

@ -1070,7 +1070,7 @@ func TestRefreshTokenFlow(t *testing.T) {
Expiry: time.Now().Add(-time.Hour), Expiry: time.Now().Add(-time.Hour),
} }
// Login in again to recieve a new token. // Login in again to receive a new token.
if _, err = http.Get(oauth2Client.server.URL + "/login"); err != nil { if _, err = http.Get(oauth2Client.server.URL + "/login"); err != nil {
t.Fatalf("get failed: %v", err) t.Fatalf("get failed: %v", err)
} }